
/* -----------------
fonts 
--------------*/
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,800&display=swap');

/* ---------------Variables ------------------------------*/
:root{
--main-color: #eaa023;
--dark: #0c1023;
--dark-light: #191f3a;
--white: #fff;
--white-light: #c8c8c8;
--shadow: 0 0 15px rgba(0,0,0,0.25);
--cursive-font:   'Dancing Script', cursive;
scroll-behavior: smooth;


}





/* -------------------------- global --------------------*/

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  font-family: 'poppins', sans-serif;
  
 
}

::before,
::after{
    box-sizing: border-box;
}


body {
     font-size: 16px;
     line-height: 1.5;
     -webkit-tap-highlight-color: transparent;    
     font-weight: 300;
     color: var(--white);
     
}

h1{
    font-weight: 700;
    color: var(--white);

}
h2{
    font-weight: 600;
    color: black;
    padding-bottom: 40px;
}

h3,
h4,h5,h6{
    font-weight: 500;
    color: black;

}
p{
    font-size: 16px;

}
img {
    vertical-align: middle;
    max-width: 100%;
}

a {
    text-decoration: none;
}

ul{
    list-style: none;

}

.container{
    max-width: 1170px;
    margin: auto ;
 


}


.row{
    display: flex;
    flex-direction: wrap;
   

}


.justify-content-between {
    justify-content: space-between;
}

.align-items-center {
    align-items: center;

}

.min-vh-100{
    min-height: 100vh;
}

.sec-padding{
    padding:80px 0;
}


/* section title */

.section-title{
    width: 100%;
    padding: 0 15px;
    text-align: center;
    margin-bottom: 60px;
    overflow-x: hidden;
}

.section-title h2 {
    font-size: 35px;
    text-transform: capitalize;

}

.section-title h2::before {
    content: attr(data-title);
    display: block;
    font-size: 24px;
    color: green;
    font-family: var(--cursive-font);
    font-weight: 400;
    text-transform: capitalize;


}

/*buttons*/
.btn{
    display: inline-block;
    padding: 10px 30px;
    background-color: transparent;
    border-radius: 30px;
    text-transform: capitalize;
    font-weight: 500;
    transition: all 0.3s ease;
    cursor: pointer;
    font-family: inherit;
    line-height: 1.5;
    user-select: none;
    color: green;
    border: none;
}

.btn-default {
 border: 2px solid green ;
}

.btn-default:hover {
    color: white;
    background-color: green;
}



/*animation Keyframes */ 
@keyframes zoomInOut {
    0%, 100% {
        transform: scale(1);
    }

    50%{
        transform: scale(1. 1);
    }
}

/* ------------------header--------------------*/


.header {
    padding: 12px 0;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 99;
    width: 100%;
}

.header::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    box-shadow: var(--shadow);
    z-index: -1;
    transition: transform 0.5 ease ;
    transform: translateY(-100%);
    overflow-x: hidden;
}

.header.sticky::before{
    transform: translateY(0%);
    overflow-x: hidden;
}


.header .logo {
    min-height: 34px;
    display: flex;
    align-items: center;
    padding: 0 15px;
    overflow-x: hidden;

}

.header .logo a h1{
   color: green;
   overflow-x: hidden;
}
.header .nav-toggler {
    height: 3px;
    width: 30px;
    margin-right: 15px;
    cursor: pointer;
    border: none;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    
}

.header .nav-toggler.active{
    position: absolute;
    z-index: 1;
    right: 0;
    transition: all 0.5s ease;
    transform: translateX(-200px);
    
}


.header .nav-toggler.active span {
    background-color: transparent;
    transition: background-color 0.5s ease;
}

.header .nav-toggler span::before,
.header .nav-toggler span::after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: var(--white);
}

.header .nav-toggler span::before{
    transform: translateY(-8px);
}

.header .nav-toggler.active span::before {
    transform: rotate(45deg);
    transition: transform 0.5s ease;
}

.header .nav-toggler.active span::after {
    transform: rotate(-45deg);
    transition: transform 0.5s ease;
}

.header .nav-toggler span::after{
    transform: translateY(8px);
}



.header .nav-toggler span{
    height: 2px;
    width: 30px;
    display: block;
    background-color: var(--white);
}


.header .nav{
  position: fixed;
  right: 0;
  top: 0;
  height: 100%;
  width: 280px;
  background-color: black;
  box-shadow: var(--shadow);
  overflow: auto;
  padding: 80px 0 40px;
  transition: transform 0.5s ease;
  transform: translateX(100% );
}

.header .nav.open{
    transform: translateX(0%);
}

.header .nav ul li a{
    display: block;
    font-size: 25px;
    color: var(--white);
    padding: 10px 30px;
     text-transform: capitalize ;
     transition: color 0.3s ease;

}

.header .nav ul li a:hover {
    color: green;
}


/*-------------------home----------------*/
.home-section{
 position: relative;
 width: 100%;
}


.home-section::before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0.7;
    z-index: -1;
    overflow: hidden;
}

.home-bg{
     position: absolute;
     left: 0;
     top: 0;
     bottom: 0;
     right: 0;
     height: 100%;
     width: 100%;
     z-index: -4;
     background-attachment: fixed;
     background-size: cover;
     background-position: center;
     position: absolute;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     object-fit: cover;
     animation:  zoomInOut 20s ease infinite;
     overflow: hidden;
 
}

.home-bg video{
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    border: 0;
    overflow: hidden;
}



.home-section .min-vh-100 {
    padding: 100px 0;
}


.home-text {
    padding: 0 15px;
    max-width: 700px;
    width: 100%;
    margin: auto;
    text-align: center;

}

.home-text h1 {
    font-family: var(--cursive-font);
    font-size: 60px ;
    line-height: 75px;
    margin: 0 0 5px;
}

.home-text p{
    margin: 0 0 30px;

}

.video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;

}

/*--------- about section ---------------------- */

.about-section {
  background-color: white;

  width: 100%;
}

.about-text,
.about-img{
    width: 50%;
    padding: 0 15 px;
}

.about-text{
    font-size: 30px;
    text-transform: capitalize;
    margin: 0 0 15px;
    color: black;
    

}

.about-text p{
    margin: 0 0 15px;

}


.about-text .btn{
    margin: 15px 0 0;

}

.about-img img {
    width: 100%;
    border-radius: 10px;

}

.about-img .img-box{
    position: relative;
}

.about-img .img-box::before{
    content: '';
    position: absolute;
    height: 100px;
    width: 100px;
    border: 7px solid green;
    left:calc(50% - 50px);
    top:calc(50% - 50px);
    animation: spin01 10s linear infinite;
     
}

@keyframes spin01 {
    0%{
        transform: rotate(0deg);

    }
    100%{
        transform: rotate(350deg);
    }
}

.about-img .img-box h3{
    position: absolute;
    left: 50%;
    top: 50%; 
    width: 100%;
    max-width: 250px;
    text-align: center;
    transform: translate(-50%, -50%);
    font-size: 30px;
    font-family: (--cursive-font);
    font-weight: bold;
    text-transform: capitalize;
    
}

/* menuu section */
.menu-section{
    position: relative;
    width: 100%;
      overflow-x: hidden;
}


/*--------testimonials section ----*/

.testimonilas-section{
    margin-top: 60px;
    background-color:black;
    width: 100%;
  
   
    
}


.testimonilas-section h2, .testimonilas-section h3{
    color: white;
}

.testi-item{
    width: calc((100% / 3) - 30px);
    margin: 0 15px 30px;
    border: 5px solid white;
    padding: 30px;
    box-shadow: var(--shadow);

}


.testi-author{
    display: flex;
    justify-content: space-between;
    align-items: center;

}

.testi-author h3 {
   font-size: 16px;
   text-transform: capitalize;
   margin: 0 0 3px;
}



.testi-author span {
 display: block;
 font-size: 14px;
 text-transform: capitalize;
}


.testi-author img{
    max-width: 60px;
    border-radius: 50%;
    border: 2px solid white;
    transition: border-color 0.5s ease;
}


.testi-item:hover .testi-author img{
    border-color: green;
}


.testi-item p {
    margin: 15px 0;
}


.testi-item .ratings{
    font-size: 16px;
    color: white;
}






/*-----------   foooooooooter---------------- */

.footer {
    padding: 80px 0 0;
    background-image: url('../img/footer-bg.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
    z-index: 1;

}


.footer::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: -1;

}

.footer-item{
    width: calc(100% / 3);
    padding: 0 15px;
    text-align: center;
}


.footer-item h3{
    text-transform: capitalize;
    font-size: 22px;
    color: white;
    margin: 0 0 15px;
}


.footer-item p{
    line-height: 30px;
    color: var(--white-light);
}
.footer-item .social-links {
    margin-top: 15px;
}


.footer-item .social-links a{
  display: inline-flex;
  height: 40px;
  width: 40px;
  color: var(--white-light);
  font-size: 22px;
  align-items: center;
  justify-content: center;
transition: color 0.3s ease;

}

.footer-item .social-links a:hover{
    color: green;
}

.footer .copyright{
 width: 100%;
 text-align: center;
 padding: 25px 15px;
 font-size: 14px;
 border-top: 1px solid var(--white-light);
 margin: 80px 0 0;
}

/* grid */




  /*------------------------ today MEnu ---------------- */
 
 .menu-section{
    margin-top: 60px;
    background-color:white;
    width: 90%;
    overflow: hidden;
    
 }

 .fix{
     
     margin-left: 170px;
 }


  .cardas-container {
    display: flex;
    justify-content: space-evenly;
    padding-top: 30px;
    width: 90%;

    
  }
  
  .carda-wrapper {
    perspective: 1000rem;
  }

  .section-title .fix{
      left: 300%;
  }
  
  .carda {
      left: 150px;
    width: 15rem;
    background-color: white;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    box-shadow: 1rem 1rem 1rem #000;
    position: relative;
    transform: rotateY(20deg) skewX(-2deg);
    transition: transform 0.5s, box-shadow 0.5s;
  }
  
  .carda:hover {
    transform: rotateY(20deg) skewX(-2deg) translateY(-2rem);
    box-shadow: 2rem 2rem 2rem #000;
  }
  
  .carda::before {
    content: "";
    height: 100%;
    width: 1rem;
    background-color: green;
    position: absolute;
    top: 0;
    left: -1rem;
    transform: skewY(45deg);
    transform-origin: right;
   
  }
  
  .carda::after {
    content: "";
    width: 100%;
    height: 1rem;
    background-color: green;
    position: absolute;
    top: -1rem;
    left: 0;
    transform: skewX(45deg);
    transform-origin: bottom;
    
  }
  
  .carda-img {
    width: 85%;
    height: 65%;
    border-radius: 50%;
  }
  
  .carda-name {
    font-size: 1rem;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 0.5rem;
    color: #111;
    margin: 1rem 0;
    
  }
  
  .carda-btn {
    width: 100%;
    background-color: #111;
    color: rgb(62, 224, 62);
    border-radius: 5rem;
    font-size: 0.7rem;
    font-weight: 800;
    letter-spacing: 0.2rem;
    text-transform: capitalize;
    border: none;
    cursor: pointer;
    box-shadow: -0.2rem -0.2rem 0.2rem #000;
  }


  /*------------team chef card------------------------*/

  
  
.card-chef {
    position: relative;
    cursor: pointer;
    width: 300px;
    padding:0 10% 0;
    right: 50px;
    margin: 0 20px 0;
}

.face1-chef {
    position: relative;
    width: 300px;
    height: 200px;
    background-color: #333;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
    transform: translateY(100px);
    z-index: 1;
}

.card-chef:hover .face1-chef {
    background-color:green;
    transform: translateY(0);
}

.face2-chef {
    position: relative;
    width: 300px;
    height: 200px;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 20px;
    transition: 0.5s;
    transform: translateY(-100px);
    box-shadow: 0 20px 50px rgba(0,0,0,0.8);
}

.card-chef:hover .face2-chef {
    transform: translateY(0);
}

.imgbox-chef {
    opacity: 0.2;
    transition: 0.5s;
}

.card-chef:hover .imgbox-chef {
    opacity: 1;
}

.face1-chef img {
    width: 100px;
    border-radius: 60%;
}


.card-chef h3 {
    margin: 10px 0 0;
    padding: 0;
    color: white;
    text-align: center;
    font-size: 25px;
}

.card-chef h4 {
    margin: 0;
    padding: 0;
}

.row-chef{
    display: flex;
    flex-direction: wrap;
 

}



/* resposive------------------------------------------------*/
